#ifndef QLOGUTIL_H
#define QLOGUTIL_H

#include <QObject>
#include <QFile>
#include <QDir>
#include <QApplication>
#include "SettingConfig.h"

class QLogUtil : public QObject
{
    Q_OBJECT
public:
    explicit QLogUtil(QObject *parent = nullptr);

    static void writeRawDataLog(QString filename, QString content);
    static void writeChannelDataLog(QString filename, QString content);
    static void writeInfoLog(QString message);
    static void writeDebugLog(QString message);

    static void writeRawDataLogByDate(QString date, QString filename, QString content);
    static void writeChannelDataLogByDate(QString date, QString filename, QString content);

private:
    static void checkLogPath(QStringList path);
signals:

};

#endif // QLOGUTIL_H
